import ConsoleAdapter from './ConsoleAdapter';
export type IConsole = number;
export interface IConsoleState {
    outputs: IConsole;
    adapter?: ConsoleAdapter;
}
export type ConsoleState = IConsoleState & {
    execute: (dark: boolean) => void;
    setOutputs: (outputs: number) => void;
    setAdapter: (adapter?: ConsoleAdapter) => void;
};
export declare const consoleStore: import("zustand").StoreApi<ConsoleState>;
export declare function useConsoleStore(): ConsoleState;
export declare function useConsoleStore<T>(selector: (state: ConsoleState) => T): T;
export default useConsoleStore;
