import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import { useJupyter } from '../../jupyter/JupyterContext';
import Lumino from '../lumino/Lumino';
import FileManagerAdapter from './lab/FileManagerAdapter';
export const FileManagerJupyterLab = () => {
    const { serviceManager } = useJupyter();
    const [fileManagerAdapter, setFileManagerAdapter] = useState();
    useEffect(() => {
        if (serviceManager) {
            const fileManagerAdapter = new FileManagerAdapter(serviceManager);
            setFileManagerAdapter(fileManagerAdapter);
        }
    }, [serviceManager]);
    return fileManagerAdapter ? (_jsx(Lumino, { children: fileManagerAdapter.panel })) : (_jsx(_Fragment, {}));
};
export default FileManagerJupyterLab;
//# sourceMappingURL=FileManagerJupyterLab.js.map