import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import { Box, Text, Label, Button } from '@primer/react';
export const KernelDetective = (props) => {
    const { serviceManager } = props;
    const [serverSettings, setServerSettings] = useState();
    const [sessions, setSessions] = useState([]);
    const [kernels, setKernels] = useState([]);
    const refresh = () => {
        if (serviceManager) {
            setServerSettings(serviceManager.serverSettings);
            serviceManager.sessions.refreshRunning().then(() => {
                setSessions(Array.from(serviceManager.sessions.running()));
                serviceManager.sessions.runningChanged.connect(() => {
                    //
                });
            });
            serviceManager.kernels.refreshRunning().then(() => {
                setKernels(Array.from(serviceManager.kernels.running()));
                serviceManager.kernels.runningChanged.connect(() => {
                    //
                });
            });
        }
    };
    useEffect(() => {
        refresh();
    }, [serviceManager]);
    return (_jsx(_Fragment, { children: serviceManager &&
            _jsxs(_Fragment, { children: [_jsx(Box, { mb: 3, children: _jsx(Button, { onClick: refresh, children: "Refresh" }) }), _jsxs(Box, { children: [_jsx(Text, { as: "h3", children: "Server Settings" }), _jsx(Label, { children: "Base URL" }), _jsxs(Text, { children: [" ", serverSettings?.baseUrl] })] }), _jsxs(Box, { children: [_jsx(Text, { as: "h3", children: "Kernels" }), kernels.map(kernel => {
                                return (_jsxs(Box, { children: [_jsx(Label, { children: "Kernel" }), _jsxs(Text, { children: [" ", kernel.name, " - ", kernel.id, " - ", kernel.connections, " connections"] })] }, kernel.id));
                            })] }), _jsxs(Box, { children: [_jsx(Text, { as: "h3", children: "Sessions" }), sessions.map(session => {
                                return (_jsxs(Box, { children: [_jsx(Label, { children: "Kernel" }), _jsxs(Text, { children: [" ", session.kernel?.name, " - ", session.kernel?.id] }), _jsx(Label, { style: { marginLeft: 10 }, children: "Session" }), _jsxs(Text, { children: [" ", session.name, " - ", session.path, " - ", session.type] })] }, session.id));
                            })] })] }) }));
};
export default KernelDetective;
//# sourceMappingURL=KernelDetective.js.map