import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createElement } from 'react';
import { createPortal } from 'react-dom';
import { newUuid } from '../../../../utils/Utils';
import { ReactPortalWidget } from '../../../lumino/ReactPortalWidget';
import { notebookStore } from '../../NotebookState';
export const DATALAYER_CELL_SIDEBAR_CLASS_NAME = 'dla-CellSidebar-Container';
export class CellSidebarWidget extends ReactPortalWidget {
    _commands;
    constructor(CellSidebar, notebookId, nbgrader, commands) {
        super();
        this._commands = commands;
        this.addClass('jp-CellHeader');
        const cellNodeId = newUuid();
        this.node.id = cellNodeId;
        const props = {
            notebookId: notebookId,
            cellNodeId,
            command: this._commands,
            nbgrader,
        };
        const sidebar = createElement(CellSidebar, props);
        const portalDiv = (_jsx("div", { className: DATALAYER_CELL_SIDEBAR_CLASS_NAME, children: sidebar }));
        const portal = createPortal(portalDiv, this.node);
        notebookStore.getState().addPortals({
            id: notebookId,
            portals: [portal],
        });
    }
}
export default CellSidebarWidget;
//# sourceMappingURL=CellSidebarWidget.js.map