import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useEffect, useRef } from 'react';
import { createView } from './CodemirrorView';
import { cellSourceAsString } from '../../../utils/Utils';
const CodemirrorViewer = (props) => {
    const { cell } = props;
    const source = cellSourceAsString(cell);
    const ref = useRef(null);
    useEffect(() => {
        const view = createView({
            doc: source,
            parent: ref.current,
        });
        view.focus();
        return () => {
            view.destroy();
        };
    }, [cell]);
    return _jsx("div", { ref: ref, style: { height: '100%', overflow: 'auto' } });
};
export default CodemirrorViewer;
//# sourceMappingURL=CodemirrorViewer.js.map