import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import Lumino from '../../lumino/Lumino';
import OutputViewerAdapter from './OutputViewerAdapter';
export const OutputViewer = (props) => {
    const { cell, adaptPlotly } = props;
    const outputs = cell.outputs ? cell.outputs : undefined;
    const outputAdapter = new OutputViewerAdapter(adaptPlotly, outputs);
    switch (cell.cell_type) {
        case 'code': {
            return (_jsx(_Fragment, { children: _jsx(Lumino, { children: outputAdapter.outputArea }) }));
        }
        default:
            return _jsx(_Fragment, {});
    }
};
OutputViewer.defaultProps = {
    adaptPlotly: false,
};
export default OutputViewer;
//# sourceMappingURL=OutputViewer.js.map