import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box } from '@primer/react';
import { Jupyter } from '../jupyter/Jupyter';
import Console from '../components/console/Console';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(Jupyter, { lite: true, children: [_jsx(Box, { as: "h1", children: "A Jupyter Console with a Lite Kernel" }), _jsx(Console, { code: `import micropip
await micropip.install('numpy')
import numpy
print(f'👋 Hello Jupyter Console with a Lite Kernel and numpy {numpy.__version__}')` })] }));
//# sourceMappingURL=ConsoleLite.js.map