import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { rendererFactory as geojsonRenderer } from '@jupyterlab/geojson-extension';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { Notebook } from '../components/notebook/Notebook';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import CellSidebarButton from '../components/notebook/cell/sidebar/CellSidebarButton';
const GeoJson = () => (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { path: "renderers/geojson-1.ipynb", id: "notebook-geojson-id", renderers: [geojsonRenderer], height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
        , CellSidebar: CellSidebarButton, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(GeoJson, {}));
//# sourceMappingURL=GeoJson.js.map