import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { useState } from 'react';
import { Box, Text } from '@primer/react';
import { JupyterReactTheme } from '../theme';
import { Notebook, KernelIndicator } from '../components';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import { CellSidebar } from '../components/notebook/cell/sidebar/CellSidebar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookLite = () => {
    const [session, setSession] = useState();
    const onSessionConnection = (session) => {
        console.log('Received a Kernel Session.', session?.id, session?.kernel?.clientId);
        setSession(session);
    };
    return (_jsxs(JupyterReactTheme, { children: [_jsx(Box, { as: "h1", children: "A Jupyter Notebook with a Lite Kernel" }), _jsxs(Box, { display: "flex", children: [_jsx(Box, { children: _jsx(Text, { children: "Kernel Indicator" }) }), _jsx(Box, { ml: 3, children: _jsx(KernelIndicator, { kernel: session?.kernel }) })] }), _jsx(Notebook, { startDefaultKernel: true, lite: true, nbformat: nbformat, id: "notebook-lite-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                , onSessionConnection: onSessionConnection, cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookLite, {}));
//# sourceMappingURL=NotebookLite.js.map